Subject: format-patch and send-email

From: Xavier Maillard <[email-masked]>
Date: Sun, 18 Feb 2007 09:49:54 +0100

Hi,

I tried to use format-patch and send-email but I think I am
misusing them because it does not react as I would expect.

First, here is how git log looks like on my little repository:

commit 50c7032fa011b1e5c7bd63e4bc474c802017677d
Author: Xavier Maillard <[email-masked]>
Date:   Fri Feb 16 20:20:18 2007 +0100

    * Added 2007 to the copyright notice
    * Added a note on relation between org-publish and blorg
    * Changed/corrected things here and there
    * Added a warning on needed skills before manipulating your own templates

commit 0e35f7847c7becc52ebcd51d9b043c626f9b3b3f
Author: Xavier Maillard <[email-masked]>
Date:   Fri Feb 16 20:03:42 2007 +0100

    new file: doc/blorg.texi (original version)

Now I want to extract a patch and set it ready to be sent (I
added head -20 just to illustrate my problem):

git-format-patch --stdout -k 0e35f7847c7becc52ebcd51d9b043c626f9b3b3f | head -12

>>From 50c7032fa011b1e5c7bd63e4bc474c802017677d Mon Sep 17 00:00:00 2001
From: Xavier Maillard <[email-masked]>
Date: Fri, 16 Feb 2007 20:20:18 +0100
Subject: * Added 2007 to the copyright notice
To: <[email-masked]>
* Added a note on relation between org-publish and blorg
* Changed/corrected things here and there
* Added a warning on needed skills before manipulating your own templates
---
 doc/blorg.texi |   31 +++++++++++++++++++------------
 1 files changed, 19 insertions(+), 12 deletions(-)

The "To" header has been set up in my .git/config file. But why
the 'Subject' is like this and also why are there 2 'From'
headers ?

Actually, why can't I just do like this ? :

git format-patch <origin> | git send-email ?

Thank you for your explanations.

Xavier